Subject: Re: [PATCH] e1000 stop raw interrupts disabled nag from RT

From: "Kok, Auke" <[email-masked]>
Date: Thu, 01 Mar 2007 08:55:34 -0800

Mark Huth wrote:
> Kok, Auke wrote:
>> Mark Huth wrote:
>>> Current e1000_xmit_frame spews raw interrupt disabled nag messages when
>>> used with RT kernel patches.  This patch uses spin_trylock_irqsave,
>>> which allows RT patches to properly manage the irq semantics.
>> Looks OK with me on first sight, I'll keep it on my stack and push it 
>> upstream after Jesse looks it over.
>>
>> Which -RT paches make this pop up btw? I'd like to repro it.
>>
> 
> Well, I'm not an expert on the realtime patches - but most any patch set 
> from Ingo seems to set this off - we've run through a bunch all the way 
> since 2.6.10.

that's bizarre, and would imply that Ingo himself never spotted this in ages, 
not to mention never tell us about it?

Ingo?